> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payables list from accounting system

> Returns a list of accounts payable invoices (bills) that exist in the entity's accounting system. This requires that an accounting connection has been previously established. Refer to the [Accounting integration guide](https://docs.monite.com/accounting/integration/index) for details.

This endpoint only provides read-only access to the accounting system's data but does not pull those payables into Monite. You can use it to review the data in the accounting system and find out which of those payables already exist or do not exist in Monite.

Data is actual as of the date and time of the last accounting synchronization, which is specified by the `last_pull` value in the response from `GET /accounting-connections/{connection_id}`. To make sure you are accessing the most up-to-date accounting data, you can use `POST /accounting-connections/{connection_id}/sync` to trigger on-demand synchronization before getting the list of payables.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/accounting/payables
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/accounting/payables:
    get:
      tags:
        - Accounting data pull
      summary: Get payables list from accounting system
      description: >-
        Returns a list of accounts payable invoices (bills) that exist in the
        entity's accounting system. This requires that an accounting connection
        has been previously established. Refer to the [Accounting integration
        guide](https://docs.monite.com/accounting/integration/index) for
        details.


        This endpoint only provides read-only access to the accounting system's
        data but does not pull those payables into Monite. You can use it to
        review the data in the accounting system and find out which of those
        payables already exist or do not exist in Monite.


        Data is actual as of the date and time of the last accounting
        synchronization, which is specified by the `last_pull` value in the
        response from `GET /accounting-connections/{connection_id}`. To make
        sure you are accessing the most up-to-date accounting data, you can use
        `POST /accounting-connections/{connection_id}/sync` to trigger on-demand
        synchronization before getting the list of payables.
      operationId: get_accounting_payables
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - description: Number of results per page.
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
          name: limit
          in: query
        - description: Number of results to skip before selecting items to return.
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
          name: offset
          in: query
        - description: The ID of the entity that owns the requested resource.
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          name: x-organization-id
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountingPayableList'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    AccountingPayableList:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AccountingPayable'
          type: array
      type: object
      required:
        - data
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    AccountingPayable:
      properties:
        id:
          type: string
          description: An internal identifier of the payable in the accounting system.
        amount_due:
          type: number
          description: Remaining amount to be paid.
        currency:
          type: string
          description: ISO-4217 currency code of the payable.
          example: USD
        currency_rate:
          type: number
          description: >-
            Rate to convert the total amount of the transaction into the
            entity's base currency at the time of the transaction.
        due_date:
          anyOf:
            - type: string
              format: date-time
            - type: string
              format: date
          description: The payable's due date.
        invoice_number:
          type: string
          description: Invoice number of the payable.
        lines:
          items:
            $ref: '#/components/schemas/AccountingLineItem'
          type: array
        memo:
          type: string
          description: Any additional information or business notes about the payable.
        posted_date:
          type: string
          format: date
          description: >-
            Date when the payable was added to the accounting service. This may
            differ from the payable creation date.
        purchase_order_refs:
          items:
            $ref: '#/components/schemas/AccountingPurchaseOrderRef'
          type: array
          description: A list of purchase orders linked to the payable, if any.
        status:
          type: string
          description: >-
            The status of the payable in the accounting system. Possible values:
            `open`, `draft`, `partially_paid`, `paid`, `unknown`, `void`.
          example: paid
        subtotal:
          type: number
          description: Amount payable, including discounts but excluding VAT/taxes.
        tax_amount:
          type: number
          description: Total VAT or tax amount.
        total_amount:
          type: number
          description: The total amount payable, including discounts and VAT/taxes.
        vendor_ref:
          allOf:
            - $ref: '#/components/schemas/AccountingVendorRefObject'
          description: Information about the vendor from whom the payable was received.
      type: object
      required:
        - id
        - status
        - total_amount
      description: >-
        Details of an accounts payable invoice (bill) retrieved from an
        accounting system.
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    AccountingLineItem:
      properties:
        description:
          type: string
          description: The name or description of the product or service being invoiced.
          example: Logo design
        discount_amount:
          type: number
          description: Discount amount for this line item (if any).
        discount_percentage:
          type: number
          description: Discount percentage for this line item (if any).
        ledger_account_id:
          type: string
          description: >-
            ID of the ledger account associated with this line item. You can use
            `GET /ledger_accounts/{ledger_account_id}` to get further details
            about this ledger account.
        quantity:
          type: number
          description: The quantity of the product or service.
        tax_rate_ref:
          allOf:
            - $ref: '#/components/schemas/AccountingRefObject'
          description: >-
            An internal reference to the tax rate in the accounting system that
            the line item is linked to.
        unit_amount:
          type: number
          description: The cost per unit of the product or service.
      type: object
      description: >-
        Contains the details of an invoice line item retrieved from an
        accounting system.
    AccountingPurchaseOrderRef:
      properties:
        id:
          type: string
          description: An internal ID of the purchase order in the accounting system.
          example: '10'
        name:
          type: string
          description: Reference number of the purchase order.
          example: PO-1234
      type: object
      required:
        - id
    AccountingVendorRefObject:
      properties:
        id:
          type: string
          description: A unique identifier of the vendor in the accounting system.
          example: '120'
        name:
          type: string
          description: Vendor name in the accounting system.
          example: Acme Inc.
      type: object
      required:
        - id
    AccountingRefObject:
      properties:
        id:
          type: string
          description: An internal ID of the tax rate in the accounting system.
      type: object
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````